summaryrefslogtreecommitdiff
path: root/jh.sh.in
diff options
context:
space:
mode:
authorLuke Shumaker <LukeShu@sbcglobal.net>2013-05-12 20:38:24 -0400
committerLuke Shumaker <LukeShu@sbcglobal.net>2013-05-12 20:38:24 -0400
commitd66b53cf13bb491618ab96335cb422445f8e4395 (patch)
treec81430a563b8c7449541dc77f89ff741019f92a3 /jh.sh.in
parentbd6489c9c43cf3d92f248844e1663c11daedf291 (diff)
adjust to not hardcode where the jh-* programs are
Diffstat (limited to 'jh.sh.in')
-rw-r--r--jh.sh.in32
1 files changed, 32 insertions, 0 deletions
diff --git a/jh.sh.in b/jh.sh.in
new file mode 100644
index 0000000..0d0b9f6
--- /dev/null
+++ b/jh.sh.in
@@ -0,0 +1,32 @@
+#!/bin/bash
+# Copyright © 2013 Luke Shumaker <lukeshu@sbcglobal.net>
+# This work is free. You can redistribute it and/or modify it under the
+# terms of the Do What The Fuck You Want To Public License, Version 2,
+# as published by Sam Hocevar. See the COPYING file for more details.
+
+if [[ -z $JH_PATH ]]; then
+ export JH_PATH=@jh-bindir@
+fi
+
+if [[ -z $jh_short ]]; then
+ export jh_short=${0##*/}
+ export PATH="$JH_PATH:$PATH"
+fi
+
+main() {
+ if [[ $# < 1 ]]; then
+ jh-help >>/dev/stderr
+ return 1;
+ fi
+ cmd=$1
+ shift
+
+ if [[ -x "$(which "jh-$cmd" 2>/dev/null)" ]]; then
+ "jh-$cmd" "$@"
+ return $?
+ else
+ echo "$jh_short: Cannot find command '$cmd'" >> /dev/stderr
+ fi
+}
+
+main "$@"